#---------------------------------------------------------------
# Project         : Mandrake Linux
# Module          : dynamic
# File            : dynamic.spec
# Version         : $Id: dynamic.spec,v 1.30 2003/07/01 13:28:20 flepied Exp $
# Author          : Frederic Lepied
# Created On      : Wed Aug  8 11:32:16 2001
# License         : GPL
# Purpose         : spec file to build an rpm
#---------------------------------------------------------------

%define name dynamic
%define version 0.10
%define release 1mdk

Summary: Handle dynamic creation of desktop entry for hotplug hardware
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Packaging
URL: http://www.mandrake-linux.com/
Requires: psmisc, mount
# scannerdrake --dynamic
Conflicts: drakxtools < 1.1.7-41mdk
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Create desktop entries for GNOME and KDE when a new peripheral is
plugged in the system (mainly USB devices).

%prep
%setup

%post

if [ -f /dev/.devfsd ]; then
	killall -USR1 devfsd > /dev/null 2>&1 || :
fi

%postun

[ $1 != 0 ] && exit 0

if [ -f /dev/.devfsd ]; then
	killall -USR1 devfsd > /dev/null 2>&1 || :
fi

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# these launchers are on other packages now
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/dynamic/launchers/{rio500,scanner,webcam,part,supermount}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog AUTHORS
%dir %{_sysconfdir}/dynamic
%dir %{_sysconfdir}/dynamic/scripts
%dir %{_sysconfdir}/dynamic/hooks
%config(noreplace) %{_sysconfdir}/dynamic/scripts/*.script
%config(noreplace) %{_sysconfdir}/dynamic/hooks/*.hook
%config(noreplace) %_sysconfdir/devfs/conf.d/dynamic.conf

# DON'T ADD SOURCE OR PATCH, USE CVS DIRECTLY

%changelog
* Tue Jul  1 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.10-1mdk
- create desktop files with the _dynamic.desktop suffix

* Thu Mar  6 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.9-1mdk
- let kde handle dynamic icons for removable devices by itself

* Wed Feb 19 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.8.1-1mdk
- change device to group usb in scanner script

* Mon Feb 17 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.8-1mdk
- prevent dynamic scripts from starting while / is mounted ro (bug #1563)

* Fri Aug 30 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.7-1mdk
- activate part with drakupdate_fstab

* Mon Aug 19 2002 Pixel <pixel@mandrakesoft.com> 0.6-4mdk
- drop require kudzu (since that's harddrake which provides it and it doesn't provide updfstab)

* Mon Aug 19 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.6-3mdk
- create files in 644 mode
- removed source1 and put it directly in tar ball

* Sat Aug 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-2mdk
- Source1 : add devfs support

* Tue Aug 13 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.6-1mdk
- added support for camera
- added $basename support in templates (basename of the device name).

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-4mdk
- Fix menu entries for rio500 support
- gnome.hook: dynamic entries are now in /var/lib/gnome/desktop

* Sat Jul 20 2002 Pixel <pixel@mandrakesoft.com> 0.5-3mdk
- rawdevice.script: created, useful to bind a dynamic device to a rawdevice

* Mon Mar 11 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.5-2mdk
- lp.script: change permission/owner/group of /dev/ptal-printd/* (Till).

* Mon Nov 19 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.5-1mdk
- scanner.script: call scannerdrake

* Mon Oct 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-8mdk
- lp.script: change permission/owner/group of /dev/oki4drv (Till).

* Fri Sep 21 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-7mdk
- lp.script: fix permissions of printer devices according to what is installed.

* Fri Sep 21 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-6mdk
- use DYNAMIC=no in /etc/sysconfig/system to disable completely
- check that / is rw in all scripts

* Mon Sep 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-5mdk
- added a way to deactivate dynamic support by adding a DYNAMIC_$name=no
in /etc/sysconfig/system.
- fixed check of / ro to avoid catching errors=continue (Borsenkow Andrej).

* Sun Sep 16 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-4mdk
- part.script: more robust by checking if / is rw and testing before
unmounting (Borsenkow Andrej).

* Sun Sep 16 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-3mdk
- run part.script only when whe are not anymore in rc.sysinit.

* Sat Sep 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-2mdk
- add part launcher for kde.
- visor script make the symlink to /dev/pilot

* Thu Sep 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4-1mdk
- added part.script

* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.3-3mdk
- lanchers are provided by packages themselves.

* Thu Sep  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-2mdk
- Add support for gnome

* Tue Aug 28 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.3-1mdk
- removed unneeded messages when a desktop isn't installed.
- call pam_console_apply before running the desktop hooks.

* Sat Aug 25 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.2-1mdk
- added kde hook for webcam (lmontel)

* Thu Aug  2 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.1-1mdk
- first version

# dynamic.spec ends here
